Subject: bug#5739: closed (Re: bug#5739: 24.0.50; Gomoku mouse placement bug)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 20 Oct 2019 13:51:02 +0000

Your bug report

#5739: 24.0.50; Gomoku mouse placement bug

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
5739: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5739
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5739: 24.0.50; Gomoku mouse placement bug
From: Stephen Berman <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: [email-masked]
Date: Sun, 20 Oct 2019 15:49:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 1 Oct 2019 03:34:49 +0200 Stefan Kangas <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> 1. Let ~/.emacs consist of this sexp, for example (anything that makes a
>> default header line -- crucially in the init file -- will do):
>> (setq-default header-line-format "test")
>> 2. Start Emacs with the above init file.
>> 3. M-x gomoku
>> 4. When the human player uses the mouse to make moves and positions the
>> mouse pointer such that it is as low as possible within the chosen
>> position -- i.e., the position is highlighted but the dot is visible --
>> then the completed move occupies the the position immediately below the
>> one aimed at (or if the lower position is occupied, Gomoku will
>> complain, even though the mouse pointer is clearly on a free position,
>> as evidenced by the highlighting).
>
> This is an old bug report from 9 years ago, that unfortunately didn't
> get an answer at the time.
>
> I'm unable to reproduce this on Emacs 26.1.  Are you still seeing this
> on a more modern version of Emacs?

(Sorry for the late reply, I was travelling when you posted and
overlooked it when I got back.)  Thanks for the reminder.  I cannot
reproduce the issue anymore either, so am therefore closing this bug.

Steve Berman

Subject: 24.0.50; Gomoku mouse placement bug
From: Stephen Berman <[email-masked]>
To: [email-masked]
Date: Fri, 19 Mar 2010 23:48:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

1. Let ~/.emacs consist of this sexp, for example (anything that makes a
default header line -- crucially in the init file -- will do):
(setq-default header-line-format "test")
2. Start Emacs with the above init file.
3. M-x gomoku
4. When the human player uses the mouse to make moves and positions the
mouse pointer such that it is as low as possible within the chosen
position -- i.e., the position is highlighted but the dot is visible --
then the completed move occupies the the position immediately below the
one aimed at (or if the lower position is occupied, Gomoku will
complain, even though the mouse pointer is clearly on a free position,
as evidenced by the highlighting).

In GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.18.6)
 of 2010-03-19 on escher
Windowing system distributor `The X.Org Foundation', version 11.0.10605000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t